<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_Breadcrumbs_Plugin {

    public function __construct() {
        add_action( 'elementor/widgets/register', array( $this, 'register_widgets' ) );
    }

    public function register_widgets( $widgets_manager ) {
        require_once( __DIR__ . '/includes/widget.php' );
        $widgets_manager->register( new \ElementorBreadcrumbsWidget\Elementor_Breadcrumbs_Widget() );
    }
}

new Elementor_Breadcrumbs_Plugin();