# Changelog
All notable changes to the Elementor Breadcrumbs Widget plugin will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.1.0] - 2024-01-17

### Added
- WooCommerce support for products, categories, and tags
- Full support for parent-child hierarchies in pages and categories
- Improved accessibility with ARIA attributes
- Responsive CSS styles
- Hover effects on breadcrumb links
- Mobile-friendly design

### Changed
- Replaced `<p>` tag with semantic `<nav>` element
- Improved markup structure for better accessibility
- Enhanced CSS styling system
- Optimized spacing and margins
- Better icon alignment and presentation

### Fixed
- Proper handling of parent-child relationships in categories
- Improved display of hierarchical breadcrumbs
- Better handling of special characters in breadcrumb items

## [1.0.0] - Initial Release

### Added
- Basic breadcrumbs functionality
- Elementor widget integration
- Home icon support
- Custom separator option
- Basic styling options
